## org.apache.hadoop.mapreduce.lib.db
Class OracleDateSplitter

    java.lang.Object
      org.apache.hadoop.mapreduce.lib.db.IntegerSplitter
          org.apache.hadoop.mapreduce.lib.db.DateSplitter
              org.apache.hadoop.mapreduce.lib.db.OracleDateSplitter

All Implemented Interfaces:
  DBSplitter

    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class OracleDateSplitter

extends DateSplitter

Implement DBSplitter over date/time values returned by an Oracle db. Make use of logic from DateSplitter, since this just needs to use some Oracle-specific functions on the formatting end when generating InputSplits.

Constructor Summary
`OracleDateSplitter()`

Method Summary
`protected String` `dateToString(Date d)` Given a Date 'd', format it as a string for use in a SQL date comparison operation.

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DateSplitter
`split`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleDateSplitter

    public OracleDateSplitter()

Method Detail

### dateToString

    protected String dateToString(Date d)

  Description copied from class: `DateSplitter`
  Given a Date 'd', format it as a string for use in a SQL date comparison operation.

  Overrides:
    `dateToString` in class `DateSplitter`
  Parameters:
    `d` - the date to format.
  Returns:
    the string representing this date in SQL with any appropriate quotation characters, etc.

Copyright © 2009 The Apache Software Foundation